# Github

## Example Usage

***

{% tabs %}
{% tab title="Terraform" %}
{% code title="github-integration.tf" %}

```tf
resource "apono_integration" "github-integration" {
  name                     = "Github"
  type                     = "github"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["github-repository"]
  metadata = {
    org = "<Organization>"
  }
  aws_secret = {
    region    = "aws_region_template_value"
    secret_id = "aws_secret_id_template_value"
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Terraform V2" %}
{% code title="github-integration.tf" %}

```tf
resource "apono_resource_integration" "github-integration" {
  name                     = "Github"
  type                     = "github"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["github-repository"]
  integration_config = {
    org = "<Organization>"
  }
  secret_store_config = {
    aws = {
      region    = "aws_region_template_value"
      secret_id = "aws_secret_id_template_value"
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Public API" %}
{% code title="github-integration.json" %}

```json
{
    "github-integration": {
        "name": "Github",
        "type": "github",
        "connector_id": "apono-connector-id",
        "connected_resource_types": [
            "github-repository"
        ],
        "integration_config": {
            "org": "<Organization>",
        },
	"secret_store_config": {
    	    "region": "aws_region_template_value",
    	    "secret_id": "aws_secret_id_template_value"
  	    }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Schema

***

* `type` github
* `connected_resource_types` List of resource types to sync.

<details>

<summary>Available resource types you can use</summary>

* github-repository
* github-organization-role
* github-team
* github-owner-role

</details>

### Integration Config

***

* `org` (Required | String) Organization


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apono.io/metadata-for-integration-config/integration-metadata/github.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
